<div class="container-fluid">
  <div class="row">
    <nav
      class="d-flex flex-column flex-shrink-0 p-3 text-white d-md-block bg-dark position-relative sidebar"
      *ngIf="isAuthenticated"
      [ngClass]="{'col-md-9 col-lg-6': !isCollapsed, 'col-md-3 col-lg-2 small': isCollapsed}"
    >
      <div
        class="collapsed"
        [ngClass]="{'offset-md-9 offset-lg-6': !isCollapsed, 'offset-md-3 offset-lg-2': isCollapsed}"
      >
        <button
          type="button"
          class="btn btn-dark"
          (click)="isCollapsed = !isCollapsed"
        >
          <fa-icon width="24" height="24" role="img" [icon]="arrowIcon"></fa-icon>
        </button>
      </div>
      <div class="d-flex align-items-center mb-3 mb-md-0 me-md-auto text-white text-decoration-none">
        <img src="assets/vmdap.svg" alt="vmdap" width="60" height="70" class="bi m-2 bg-white">
        <span class="fs-4">VMDAP</span>
      </div>
      <hr/>
      <ul ngbNav [activeId]="getRouter().url" class="nav-pills" orientation="vertical">
        <li
          [ngbNavItem]="link.route"
          [ngClass]="{'text-center': isCollapsed}"
          *ngFor="let link of getLinks()"
        >
          <a ngbNavLink [routerLink]="link.route">
            <fa-icon
              width="24"
              height="24"
              role="img"
              [ngClass]="{'fa-x1': !isCollapsed, 'fa-3x': isCollapsed}"
              [icon]="link.icon"
            ></fa-icon>
            <div
              class="d-inline-block ms-2 h4"
              *ngIf="!isCollapsed"
            >
              {{ link.title }}
            </div>
          </a>
        </li>
      </ul>
      <div class="position-absolute bottom-0 start-0 p-3 bottom">
        <hr/>
        <button
          type="button"
          class="btn btn-primary col-md-9 col-lg-6"
          (click)="signOut()"
        >
          <fa-icon width="24" height="24" role="img" [icon]="signOutIcon"></fa-icon>
        </button>
      </div>
    </nav>
    <main
      class="ms-sm-auto px-md-4"
      [ngClass]="{'col-md-27 col-lg-30': !isCollapsed && isAuthenticated, 'col-md-33 col-lg-34': isCollapsed && isAuthenticated, 'col-md-36 col-lg-36': !isAuthenticated}"
    >
      <div class="row">
        <router-outlet></router-outlet>
      </div>
    </main>
  </div>
</div>
<app-notification class="ngb-toasts"></app-notification>
